Subject: Re: [PATCH] apply: refuse touching a file beyond symlink

From: Junio C Hamano <[email-masked]>
Date: Fri, 30 Jan 2015 11:42:49 -0800

Jeff King <[email-masked]> writes:

> On Thu, Jan 29, 2015 at 12:45:22PM -0800, Junio C Hamano wrote:
>
>> +	if (!patch->is_delete && path_is_beyond_symlink(patch->new_name))
>> +		return error(_("affected file '%s' is beyond a symbolic link"),
>> +			     patch->new_name);
>
> Why does this not kick in when deleting a file?

Half-written logic, forgotten to be revisited (i.e. "ok, anything
that is not delete we can check new_name, so do that first, later
we'd deal with deletion patch and I think the way to do so is by
checking old_name, but let's make sure this case works first").

Thanks for catching.